Package org.apache.commons.imaging.formats.tiff.write

## Class TiffImageWriterBase

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.write.TiffImageWriterBase

- Direct Known Subclasses:
    `TiffImageWriterLossless`, `TiffImageWriterLossy`

      public abstract class TiffImageWriterBase
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ByteOrder` | `byteOrder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TiffImageWriterBase()` |
    `TiffImageWriterBase​(ByteOrder byteOrder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static int` | `imageDataPaddingLength​(int dataLength)` |
    `protected org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary` | `validateDirectories​(TiffOutputSet outputSet)` |
    `abstract void` | `write​(OutputStream os, TiffOutputSet outputSet)` |
    `void` | `writeImage​(BufferedImage src, OutputStream os, TiffImagingParameters params)` |
    `protected void` | `writeImageFileHeader​(BinaryOutputStream bos)` |
    `protected void` | `writeImageFileHeader​(BinaryOutputStream bos, long offsetToFirstIFD)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### byteOrder

          protected final ByteOrder byteOrder

  - ### Constructor Detail

    - #### TiffImageWriterBase

          public TiffImageWriterBase()

    - #### TiffImageWriterBase

          public TiffImageWriterBase​(ByteOrder byteOrder)

  - ### Method Detail

    - #### imageDataPaddingLength

          protected static int imageDataPaddingLength​(int dataLength)

    - #### write

          public abstract void write​(OutputStream os,
                                     TiffOutputSet outputSet)
                              throws IOException,
                                     ImageWriteException

      Throws:
        `IOException`
        `ImageWriteException`

    - #### validateDirectories

          protected org.apache.commons.imaging.formats.tiff.write.TiffOutputSummary validateDirectories​(TiffOutputSet outputSet)
                                                                                                 throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### writeImage

          public void writeImage​(BufferedImage src,
                                 OutputStream os,
                                 TiffImagingParameters params)
                          throws ImageWriteException,
                                 IOException

      Throws:
        `ImageWriteException`
        `IOException`

    - #### writeImageFileHeader

          protected void writeImageFileHeader​(BinaryOutputStream bos)
                                       throws IOException

      Throws:
        `IOException`

    - #### writeImageFileHeader

          protected void writeImageFileHeader​(BinaryOutputStream bos,
                                              long offsetToFirstIFD)
                                       throws IOException

      Throws:
        `IOException`